﻿async function addMarkerCluster(widget, locationsList) {

	var labels = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	var locations = locationsList;

	var googleMaps = await google.maps.importLibrary("marker");
	var AdvancedMarkerElement = googleMaps.AdvancedMarkerElement;
	var PinElement = googleMaps.PinElement;

	var labels = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	// Add some markers to the map.
	var markers = locations.map((position, i) => {
		var label = labels[i % labels.length];
		var pinGlyph = new google.maps.marker.PinElement({
			glyph: label,
			glyphColor: "white",
		});
		var marker = new google.maps.marker.AdvancedMarkerElement({
			position,
			content: pinGlyph.element,
		});

		// markers can only be keyboard focusable when they have click listeners
		// open info window when marker is clicked
		marker.addListener("click", () => {
			infoWindow.setContent(position.lat + ", " + position.lng);
			infoWindow.open(map, marker);
		});
		return marker;
	});

	var map = widget.map;

	var markerCluster = new markerClusterer.MarkerClusterer({
		map,
		markers,
	});
}