﻿using System;
using System.Collections.Generic;
using Wisej.Core;
using Wisej.Web;
using Wisej.Web.Ext.GoogleMaps;

namespace GoogleMaps
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

        LatLng[] Locations => new LatLng[]
        {
            new LatLng { Lat = -31.56391, Lng = 147.154312 },
            new LatLng { Lat = -33.718234, Lng = 150.363181 },
            new LatLng { Lat = -33.727111, Lng = 150.371124 },
            new LatLng { Lat = -33.848588, Lng = 151.209834 },
            new LatLng { Lat = -33.851702, Lng = 151.216968 },
            new LatLng { Lat = -34.671264, Lng = 150.863657 },
            new LatLng { Lat = -35.304724, Lng = 148.662905 },
            new LatLng { Lat = -36.817685, Lng = 175.699196 },
            new LatLng { Lat = -36.828611, Lng = 175.790222 },
            new LatLng { Lat = -37.75, Lng = 145.116667 },
            new LatLng { Lat = -37.759859, Lng = 145.128708 },
            new LatLng { Lat = -37.765015, Lng = 145.133858 },
            new LatLng { Lat = -37.770104, Lng = 145.143299 },
            new LatLng { Lat = -37.7737, Lng = 145.145187 },
            new LatLng { Lat = -37.774785, Lng = 145.137978 },
            new LatLng { Lat = -37.819616, Lng = 144.968119 },
            new LatLng { Lat = -38.330766, Lng = 144.695692 },
            new LatLng { Lat = -39.927193, Lng = 175.053218 },
            new LatLng { Lat = -41.330162, Lng = 174.865694 },
            new LatLng { Lat = -42.734358, Lng = 147.439506 },
            new LatLng { Lat = -42.734358, Lng = 147.501315 },
            new LatLng { Lat = -42.735258, Lng = 147.438 },
            new LatLng { Lat = -43.999792, Lng = 170.463352 }
        };

        private void button1_Click(object sender, System.EventArgs e) //use c# code to add marker
        {
            //create latitude and longitude coordinates.
            LatLng dc = new LatLng();
			dc.Lat = 38.9;
			dc.Lng = -77;

			LatLng chicago = new LatLng();
			chicago.Lat = 41.9;
			chicago.Lng = -87.6;


            //Add a marker to the map.
            googleMap1.AddMarker("Buffalo", 42.8, -79);
		}

        private void button2_Click(object sender, System.EventArgs e) //use javascript code to add marker
        {
            AddMarkerCluster();
        }

        private void AddMarkerCluster()
        {
            this.googleMap1.Eval($"addMarkerCluster(this,{Locations.ToJSON(WisejSerializerOptions.CamelCase)})");
        }
    }
}
