using System;
using Wisej.Web;

namespace GoogleMaps
{
	internal static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		static void Main()
		{
			Application.MainPage = new Page1();


            // Load the MarkerClusterer package first, then our implementation.
            Application.LoadPackages(new[]
            {
                new Widget.Package()
                {
                    Name = "MarkerClusterer",
                    Source = "https://unpkg.com/@googlemaps/markerclusterer/dist/index.min.js"
                },

                new Widget.Package()
                {
                    Name = "MarkerCluster",
                    Source = "resource.wx/JavaScript/MarkerCluster.js"
                },
            });
        }

        //
		// You can use the entry method below
		// to receive the parameters from the URL in the args collection.
		//
		//static void Main(NameValueCollection args)
		//{
		//}
	}
}